/*************************************************************************
*
*        Langner Universal Communications API
*
*        terminal.c - Simple terminal program that uses console I/O
*
*        Copyright (C) 1997 Langner Gesellschaft fuer Datentechnik
*
* $Header: /Luca/_terminal/terminal.c 8     3.03.97 14:47 Heiko $
**************************************************************************/
#include <stdio.h>
#include <conio.h>
#include <string.h>
#include <windows.h>

#include <luca.h>

#define CONNECTED_PROMPT "CONNECT\n"
#define NO_CONNECT_PROMPT "Keine Verbindung mglich\n"

#define CONNECT_TIMEOUT 90000


VCALLBACK send_fax(int port, void *what) {
	char errorstr[255];
	static char *buf="Nur ein einfacher Test";
	if (Vwrite(port,buf,sizeof(buf)) < 0) {
		Verror(port, errorstr);
		printf("%s\n",errorstr);
		Vclose(port);
		exit(1);
	}
}


int
main(int argc, char **argv)
{
    int n;
    int port = -1;
    char link_identifier[255];
    char errorstr[255];


strcpy(link_identifier,
		"SFF/FAX,LOCALID='+493078702288',SPEED=14400/ATMODEM:23,INIT='ATM2L1',DIALMODE=TONE/TRACE:'E:\\temp\\trace.log'/ASYNC/COM:2,SPEED=14400,FLOW=XONXOFF");

/*	strcpy(link_identifier,
		"ATMODEM:23,INIT='ATM1L1X0',DIALMODE=TONE/TRACE:'E:\\temp\\trace.log'/ASYNC/COM:2,SPEED=14400,FLOW=XONXOFF");*/
	port =  Vopen(link_identifier);
	if  (port < 0) {
		Verror(-1,errorstr);
		printf("Port nicht geffnet: %s\n", errorstr);
		exit(1);
	}
    if (Vwait(V_CONNECT|V_ERR, CONNECT_TIMEOUT) < 0) {
		printf(NO_CONNECT_PROMPT);
		exit(1);
    } else {
		n = Vstat(port, V_CONNECT);
		if (!(n & V_ERR))
			printf(CONNECTED_PROMPT);
		else {
			Verror(port, errorstr);
			printf("\nNo connection established. %s\n",errorstr);
			Vclose(port);
			exit(1);
		}
    }

	if (Vwait(V_CANWRITE, 6000) < 0) {
		Verror(port, errorstr);
		printf("\nCouldn't write: %s\n", errorstr);
		Vclose(port);
		exit(1);
	} else {
		send_fax(port, NULL);
	}
	Vclose(port);
    return(0);
}



